# DocumentItemRepository class Null safety

Inheritance
  - Object
  - RepositoryBase<DocumentItemModel, DocumentItemEntity>
  - DocumentItemRepository
Implementers
  - DocumentItemCache
  - DocumentItemInMemoryRepository

## Constructors

DocumentItemRepository()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

add(DocumentItemModel value) → dynamic
  override
addEntity(String documentID, DocumentItemEntity value) → dynamic
  override
changeValue(String documentId, String fieldName, num changeByThisValue) → dynamic
  override
delete(DocumentItemModel value) → dynamic
  override
deleteAll() → dynamic
  override
flush() → void
  override
fromMap(Object? o, {Map<String, String>? newDocumentIds}) → DocumentItemEntity?
  inherited
get(String? id, {dynamic onError(Exception)?}) → dynamic
  override
getEntity(String? id, {dynamic onError(Exception)?}) → dynamic
  inherited
getSubCollection(String documentId, String name) → dynamic
  override
listen(DocumentItemModelTrigger trigger, {String? orderBy, bool? descending, Object? startAfter, int? limit, int? privilegeLevel, EliudQuery? eliudQuery}) → StreamSubscription<List<DocumentItemModel?>>
  override
listenTo(String documentId, DocumentItemChanged changed, {DocumentItemErrorHandler? errorHandler}) → StreamSubscription<DocumentItemModel?>
  override
listenWithDetails(DocumentItemModelTrigger trigger, {String? orderBy, bool? descending, Object? startAfter, int? limit, int? privilegeLevel, EliudQuery? eliudQuery}) → StreamSubscription<List<DocumentItemModel?>>
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
timeStampToString(dynamic timeStamp) → String?
  override
toString() → String
  A string representation of this object. [...]
  inherited
update(DocumentItemModel value) → dynamic
  override
updateEntity(String documentID, DocumentItemEntity value) → dynamic
  override
values({String? orderBy, bool? descending, Object? startAfter, int? limit, SetLastDoc? setLastDoc, int? privilegeLevel, EliudQuery? eliudQuery}) → Stream<List<DocumentItemModel?>>
  override
valuesList({String? orderBy, bool? descending, Object? startAfter, int? limit, SetLastDoc? setLastDoc, int? privilegeLevel, EliudQuery? eliudQuery}) → dynamic
  override
valuesListWithDetails({String? orderBy, bool? descending, Object? startAfter, int? limit, SetLastDoc? setLastDoc, int? privilegeLevel, EliudQuery? eliudQuery}) → dynamic
  override
valuesWithDetails({String? orderBy, bool? descending, Object? startAfter, int? limit, SetLastDoc? setLastDoc, int? privilegeLevel, EliudQuery? eliudQuery}) → Stream<List<DocumentItemModel?>>
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited